Get Look
curl --request GET \
--url https://omnicommerce.sg/api/v1/looks/{lookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/looks/{lookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/looks/{lookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"look": {
"id": "<string>",
"organizationId": "<string>",
"status": "draft",
"createdAt": "<string>",
"updatedAt": "<string>",
"productCount": 1,
"products": [
{
"id": "<string>",
"name": "<string>",
"sku": "<string>",
"brand": "<string>",
"price": 123,
"currency": "<string>",
"imageUrl": "<string>"
}
],
"title": "<string>",
"subject": "<string>",
"style": "<string>",
"season": "<string>",
"timeOfDay": "<string>",
"city": "<string>",
"additionalNotes": "<string>",
"stylePrompt": "<string>",
"heroImageTagId": "<string>",
"heroImageUrl": "<string>",
"createdBy": "<string>",
"publishedAt": "<string>"
}
}Looks
Get Look
Fetch a single Look by ID, including the generated hero image URL and the shoppable product cards used in the Look.
GET
/
api
/
v1
/
looks
/
{lookId}
Get Look
curl --request GET \
--url https://omnicommerce.sg/api/v1/looks/{lookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/looks/{lookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/looks/{lookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"look": {
"id": "<string>",
"organizationId": "<string>",
"status": "draft",
"createdAt": "<string>",
"updatedAt": "<string>",
"productCount": 1,
"products": [
{
"id": "<string>",
"name": "<string>",
"sku": "<string>",
"brand": "<string>",
"price": 123,
"currency": "<string>",
"imageUrl": "<string>"
}
],
"title": "<string>",
"subject": "<string>",
"style": "<string>",
"season": "<string>",
"timeOfDay": "<string>",
"city": "<string>",
"additionalNotes": "<string>",
"stylePrompt": "<string>",
"heroImageTagId": "<string>",
"heroImageUrl": "<string>",
"createdBy": "<string>",
"publishedAt": "<string>"
}
}